import Component from '../../component.js'
import EuiChip from './eui-chip.js'
import EuiIcon from './eui-icon.js'

export default class CoEuiChipListChip extends Component {
    constructor(parent) {
      let selector = 'span[@cdkdrag]';
      super(parent, selector);
      // // https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/components/eui-chip-list/eui-chip-list.component.html
    }
    get euiChipCO() {
      return new EuiChip(this.currentPath);
    }
    get euiIconCO() {
      return new EuiIcon(this.euiChipCO);
    }
    get title() {
      let path = '//span[@title]';
      return this.euiChipCO.currentPath + path;
    }
    async hasChipsLabelTruncateCount () {
      return await (await $(this.title)).isExisting();
    }
}


